Skip to main content
PATCH
Update Campaign
Requires a Labs OAuth user access token with the super_user role and Editor or higher workspace access. API keys are not accepted for this endpoint. See authentication. You can update name, concurrency, time slots, and retry config. Updates are only allowed on campaigns in draft or paused status — pause the campaign first if it is currently running.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
integer
required

Body

application/json
name
string | null
Required string length: 1 - 255
retry_config
RetryConfigRequest · object | null
max_concurrency
integer | null
Required range: 1 <= x <= 100
schedule_config
ScheduleConfigRequest · object | null
circuit_breaker
CircuitBreakerConfigRequest · object | null

Response

Successful Response

id
integer
required
name
string
required
workflow_id
integer
required
workflow_name
string
required
state
string
required
source_type
string
required
source_id
string
required
total_rows
integer | null
required
processed_rows
integer
required
failed_rows
integer
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
retry_config
RetryConfigResponse · object
required
max_concurrency
integer | null
schedule_config
ScheduleConfigResponse · object | null
circuit_breaker
CircuitBreakerConfigResponse · object | null
executed_count
integer
default:0
total_queued_count
integer
default:0
parent_campaign_id
integer | null
redialed_campaign_id
integer | null
telephony_configuration_id
integer | null
telephony_configuration_name
string | null
logs
CampaignLogEntryResponse · object[]